ZITADEL Docs
APIsCore ResourcesV1Instance Objects

Deprecated: Update SMTP Configuration

Update the SMTP configuration, be aware that this will be activated as soon as it is saved. So the users will get notifications from the newly configured SMTP.

Deprecated: please move to the new endpoint UpdateEmailProviderSMTP.

PUT
/smtp/{id}

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://loading/smtp/string" \  -H "Content-Type: application/json" \  -d '{    "senderAddress": "string",    "senderName": "string",    "host": "string"  }'
{
  "details": {
    "sequence": 0,
    "creationDate": "2023-01-15T01:30:15.01Z",
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string"
  }
}

Was this page helpful?